Home

# Class goog.editor.plugins.EquationEditorPlugin

A plugin that opens the equation editor in a dialog window.

extends goog.editor.plugins.AbstractDialogPlugin

Instance Method Summary
| `createDialog(!goog.dom.DomHelper dialogDomHelper, <Any Type> opt_arg) ⇒ ?goog.ui.editor.AbstractDialog` Creates a new instance of this plugin's dialog. Must be overridden by subclasses.
| `disable(?goog.editor.Field fieldObject)` Disables this plugin for the specified, registered field object.
| `enable(?goog.editor.Field fieldObject)` Enables this plugin for the specified, registered field object. A field object should only be enabled when it is loaded.
| `getEquationFromSelection_() ⇒ string` Returns the selected text in the editable field for using as initial equation string for the equation editor. TODO(user): Sanity check the selected text and return it only if it reassembles a TeX equation and is not too long.
| `handleDoubleClick_(?goog.events.Event e)` Handles double clicks in the field area.
| `handleOk_(?goog.ui.editor.EquationEditorOkEvent e)` Called when user clicks OK. Inserts the equation at cursor position in the active editable field.
| `populateContext_() ⇒ ?Object` Populates the context that this plugin runs in.